### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
LatticeShortRateModelEngine< Arguments, Results > Class Template Reference

Engine for a short-rate model specialized on a lattice. More...

`#include <ql/pricingengines/latticeshortratemodelengine.hpp>`

Inheritance diagram for LatticeShortRateModelEngine< Arguments, Results >:
[legend]

List of all members.

## Public Member Functions

| LatticeShortRateModelEngine (const boost::shared_ptr< ShortRateModel > &model, Size timeSteps)
| LatticeShortRateModelEngine (const Handle< ShortRateModel > &model, Size timeSteps)
| LatticeShortRateModelEngine (const boost::shared_ptr< ShortRateModel > &model, const TimeGrid &timeGrid)
void | update ()

## Protected Attributes

TimeGrid | timeGrid_
Size | timeSteps_
boost::shared_ptr< Lattice > | lattice_

## Detailed Description

### template<class Arguments, class Results>
class QuantLib::LatticeShortRateModelEngine< Arguments, Results >

Engine for a short-rate model specialized on a lattice.

Derived engines only need to implement the `calculate()` method

## Member Function Documentation

void update | ( |  | ) | `[virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Reimplemented from GenericEngine< Arguments, Results >.